using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Media.Imaging;
using System.IO;

namespace Betrachter
{
  public partial class Window1 : System.Windows.Window
  {
    private string strPfad;
    private List<string> data = new List<string>();
    private int iPos = 0;

    public Window1()
    {
      InitializeComponent();

      strPfad = Environment.GetFolderPath(Environment.SpecialFolder.MyPictures);
      BeginnDarstellung();
    }

    private void BeginnDarstellung()
    {
      data.Clear();
      iPos = 0;

      try
      {
        DirectoryInfo di = new DirectoryInfo(strPfad);

        foreach (FileInfo fi in di.GetFiles("*.jpg"))
        {
          data.Add(fi.FullName);
        }

        if (data.Count > 0)
        {
          img.Source = new BitmapImage(new Uri(data[0], UriKind.Absolute));
        }
      }
      catch (Exception ex)
      {
        MessageBox.Show("Fehler: " + ex.Message);
      }
    }

    private void OnPfad(object sender, RoutedEventArgs e)
    {
      PfadDialog dlgPfad = new PfadDialog();

      dlgPfad.PfadName = strPfad;

      if (dlgPfad.ShowDialog() == true)
      {
        if (dlgPfad.PfadName != string.Empty)
        {
          strPfad = dlgPfad.PfadName;
          BeginnDarstellung();
        }
      }
    }

    private void OnErstes(object sender, RoutedEventArgs e)
    {
      if (data.Count > 0)
      {
        iPos = 0;
        img.Source = new BitmapImage(new Uri(data[iPos], UriKind.Absolute));
      }
    }

    private void OnZurueck(object sender, RoutedEventArgs e)
    {
      if (iPos > 0)
      {
        iPos--;
        img.Source = new BitmapImage(new Uri(data[iPos], UriKind.Absolute));
      }
    }

    private void OnWeiter(object sender, RoutedEventArgs e)
    {
      if (iPos + 1 < data.Count)
      {
        iPos++;
        img.Source = new BitmapImage(new Uri(data[iPos], UriKind.Absolute));
      }
    }

    private void OnLetztes(object sender, RoutedEventArgs e)
    {
      if (data.Count > 0)
      {
        iPos = data.Count - 1;
        img.Source = new BitmapImage(new Uri(data[iPos], UriKind.Absolute));
      }
    }

    private void OnBeenden(object sender, RoutedEventArgs e)
    {
      this.Close();
    }
  }
}